{% if privexec_only %}
{%     if configuration_session %}
{%        include 'UTILITY_configure_session.j2' %}
{%     else %}
{%        include 'UTILITY_configure_terminal.j2' %}
{%     endif %}
{% endif %}
{% if ansible_network_os == 'arista.eos.eos' %}
{%     if role in ['leaf', 'access'] %}
{%         for i in [1, 2] %}
interface Ethernet{{ i }}
{%             if 'leaf01Verwaltung' in inventory_hostname %}
   description lag1-->lag1_spine01-02
{%             elif 'leaf02Werkstatt' in inventory_hostname %}
   description lag1-->lag2_spine01-02
{%             elif 'leaf03LagerhalleWEST' in inventory_hostname %}
   description lag1-->lag3_spine01-02
{%             elif 'leaf04LagerhalleOST' in inventory_hostname %}
   description lag1-->lag4_spine01-02
{%             endif %}
   channel-group 1 mode active
!
{%         endfor %}
{%         for i in range(3, 5) %}
interface Ethernet{{ i }}
   description -->AccessPoint
   switchport trunk native vlan 42
   switchport trunk allowed vlan 10,250
   switchport mode trunk
   spanning-tree portfast
   storm-control broadcast level 1
!
{%         endfor %}
{%         for i in [5, 6] %}
interface Ethernet{{ i }}
{%             if 'leaf02Werkstatt' in inventory_hostname or 'leaf03LagerhalleWEST' in inventory_hostname or 'leaf04LagerhalleOST' in inventory_hostname %}
   description -->AccessPoint
   switchport trunk native vlan 42
   switchport trunk allowed vlan 10,250
   switchport mode trunk
{%             endif %}
   storm-control broadcast level 1
   spanning-tree portfast
!
{%         endfor %}
{%         for i in [7, 8] %}
interface Ethernet{{ i }}
{%             if 'leaf03LagerhalleWEST' in inventory_hostname or 'leaf04LagerhalleOST' in inventory_hostname %}
   description -->AccessPoint
   switchport trunk native vlan 42
   switchport trunk allowed vlan 10,250
   switchport mode trunk
{%             endif %}
   storm-control broadcast level 1
   spanning-tree portfast
!
{%         endfor %}
{%         for i in [9, 10] %}
interface Ethernet{{ i }}
   description -->Client
   switchport access vlan 10
   storm-control broadcast level 1
   spanning-tree portfast
!
{%         endfor %}
{%         for i in range(11, 25) %}
interface Ethernet{{ i }}
{%             if 'leaf01Verwaltung' in inventory_hostname or 'leaf02Werkstatt' in inventory_hostname %}
   description -->Client
   switchport access vlan 10
{%             else %}
   switchport access vlan 999
{%             endif %}
   storm-control broadcast level 1
   spanning-tree portfast
!
{%         endfor %}
interface Ethernet25
{%         if 'leaf01Verwaltung' in inventory_hostname %}
   description -->Client
   switchport access vlan 10
{%         elif 'leaf02Werkstatt' in inventory_hostname or 'leaf03LagerhalleWEST' in inventory_hostname or 'leaf04LagerhalleOST' in inventory_hostname %}
   description -->AlarmSystem
   switchport access vlan 51
{%         endif %}
   storm-control broadcast level 1
   spanning-tree portfast
!
{%         for i in range(26, 29) %}
interface Ethernet{{ i }}
{%             if 'leaf01Verwaltung' in inventory_hostname %}
   description -->Client
   switchport access vlan 10
{%             elif 'leaf02Werkstatt' in inventory_hostname or 'leaf03LagerhalleWEST' in inventory_hostname or 'leaf04LagerhalleOST' in inventory_hostname %}
   description -->Camera
   switchport access vlan 51
{%             endif %}
   storm-control broadcast level 1
   spanning-tree portfast
!
{%         endfor %}
{%         for i in range(29, 33) %}
interface Ethernet{{ i }}
{%             if 'leaf01Verwaltung' in inventory_hostname %}
   description -->Client
   switchport access vlan 10
{%             elif 'leaf02Werkstatt' in inventory_hostname or 'leaf03LagerhalleWEST' in inventory_hostname or 'leaf04LagerhalleOST' in inventory_hostname %}
   description -->SolarPanel
   switchport access vlan 50
{%             else %}
   switchport access vlan 999
{%             endif %}
   storm-control broadcast level 1
   spanning-tree portfast
!
{%         endfor %}
{%         for i in range(33, 37) %}
interface Ethernet{{ i }}
{%             if 'leaf02Werkstatt' in inventory_hostname %}
   description -->Sensor
   switchport access vlan 50
{%             else %}
   switchport access vlan 999
{%             endif %}
   storm-control broadcast level 1
   spanning-tree portfast
!
{%         endfor %}
{%         for i in [37, 38] %}
interface Ethernet{{ i }}
{%             if 'leaf01Verwaltung' in inventory_hostname %}
   description -->Printer
   switchport access vlan 20
{%             else %}
   switchport access vlan 999
{%             endif %}
   storm-control broadcast level 1
   spanning-tree portfast
!
{%         endfor %}
interface Ethernet39
{%         if 'leaf01Verwaltung' in inventory_hostname or 'leaf02Werkstatt' in inventory_hostname %}
   description -->Printer
   switchport access vlan 20
{%             else %}
   switchport access vlan 999
{%         endif %}
   storm-control broadcast level 1
   spanning-tree portfast
!
interface Ethernet40
   description -->Printer
   switchport access vlan 20
   storm-control broadcast level 1
   spanning-tree portfast
!
{%         for i in [41, 42] %}
interface Ethernet{{ i }}
{%             if 'leaf01Verwaltung' in inventory_hostname %}
   description -->Client
   switchport access vlan 10
{%             else %}
   switchport access vlan 999
{%             endif %}
   storm-control broadcast level 1
   spanning-tree portfast
!
{%         endfor %}
{%         for i in range(43, 51) %}
interface Ethernet{{ i }}
   switchport access vlan 999
   storm-control broadcast level 1
   spanning-tree portfast
!
{%         endfor %}
{%         for i in range(51, 53) %}
interface Ethernet{{ i }}
   description -->AccessPoint
   switchport trunk native vlan 42
   switchport trunk allowed vlan 10,250
   switchport mode trunk
   spanning-tree portfast
   storm-control broadcast level 1
!
{%         endfor %}
{%         for i in [53, 54] %}
interface Ethernet{{ i }}/1
   switchport access vlan 999
   storm-control broadcast level 1
   spanning-tree portfast
!
{%         endfor %}
{%     endif %}
{% elif ansible_network_os == 'cisco.ios.ios' %}
{% elif ansible_network_os == 'community.network.ce' %}
{%     if 'huawei_vrp' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{%     if 'huawei_yunshanos' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{% elif ansible_network_os == 'dellemc.os10.os10' %}
{%     if role in ['spine', 'core'] %}
{%         for i in range(1, 5) %}
interface ethernet1/1/{{ i }}
{%             if i == 1 %}
 description lag{{ i }}-->lag51_leaf01Verwaltung
{%             elif i == 2 %}
 description lag{{ i }}-->lag51_leaf02Werkstatt
{%             elif i == 3 %}
 description lag{{ i }}-->lag51_leaf03LagerhalleWEST
{%             elif i == 4 %}
 description lag{{ i }}-->lag51_leaf04LagerhalleOST
{%             endif %}
 no shutdown
 channel-group {{ i }} mode active
 no switchport
 flowcontrol receive on
 storm-control broadcast rate 100 Mbps
!
{%         endfor %}
{%         for i in [29, 30] %}
interface ethernet1/1/{{ i }}
{%             if 'spine01' in inventory_hostname %}
 description PEERLINK_lag1000-->lag1000_spine02
{%             elif 'spine02' in inventory_hostname %}
 description PEERLINK_lag1000-->lag1000_spine01
{%             endif %}
 no shutdown
 no switchport
 flowcontrol receive on
!
{%         endfor %}
{%         for i in range(7, 21) %}
interface ethernet1/1/{{ i }}
 no shutdown
 switchport access vlan 999
 flowcontrol receive on
 storm-control broadcast rate 100 Mbps
 spanning-tree bpduguard enable
 spanning-tree port type edge
!
{%         endfor %}
{#
port 21 = server iscsi-ft 1   vlan201 mtu
port 22 = storage controller A iscsi-ft1  vlan201 mtu
port 23 = storage controller B iscsi-ft1  vlan201 mtu
server steckt 24 -> server lan (vlan 40)
switch 2:
port 21 = server iscsi-ft 2 202 mtu
port 22 = storage controller A iscsi-ft2 202 mtu
port 23 = storage controller B iscsi-ft2 202 mtu
server steckt 24 -> server lan (vlan 40)
#}
interface ethernet1/1/21
{%         if 'spine01' in inventory_hostname %}
 description -->vmnic2_ESX01[iscsi-FT1]
{%         elif 'spine02' in inventory_hostname %}
 description -->vmnic3_ESX01[iscsi-FT2]
{%         endif %}
 no shutdown
{%         if 'spine01' in inventory_hostname %}
 switchport access vlan 201
{%         elif 'spine02' in inventory_hostname %}
 switchport access vlan 202
{%         endif %}
 mtu 9216
 flowcontrol receive on
 flowcontrol transmit off
 storm-control broadcast rate 100 Mbps
 spanning-tree bpduguard enable
 spanning-tree port type edge
!
interface ethernet1/1/22
{%         if 'spine01' in inventory_hostname %}
 description -->p0_SANctrl-A[iscsi-FT1]
{%         elif 'spine02' in inventory_hostname %}
 description -->p1_SANctrl-A[iscsi-FT2]
{%         endif %}
 no shutdown
{%         if 'spine01' in inventory_hostname %}
 switchport access vlan 201
{%         elif 'spine02' in inventory_hostname %}
 switchport access vlan 202
{%         endif %}
 mtu 9216
 flowcontrol receive on
 flowcontrol transmit off
 storm-control broadcast rate 100 Mbps
 spanning-tree bpduguard enable
 spanning-tree port type edge
!
interface ethernet1/1/23
{%         if 'spine01' in inventory_hostname %}
 description -->p0_SANctrl-B[iscsi-FT1]
{%         elif 'spine02' in inventory_hostname %}
 description -->p1_SANctrl-B[iscsi-FT2]
{%         endif %}
 no shutdown
{%         if 'spine01' in inventory_hostname %}
 switchport access vlan 201
{%         elif 'spine02' in inventory_hostname %}
 switchport access vlan 202
{%         endif %}
 mtu 9216
 flowcontrol receive on
 flowcontrol transmit off
 storm-control broadcast rate 100 Mbps
 spanning-tree bpduguard enable
 spanning-tree port type edge
!
interface ethernet1/1/24
{%         if 'spine01' in inventory_hostname %}
 description -->vmnic0_ESX01[LAN]
{%         elif 'spine02' in inventory_hostname %}
 description -->vmnic1_ESX01[LAN]
{%         endif %}
 no shutdown
 switchport mode trunk
 switchport access vlan 40
 switchport trunk allowed vlan 100-120
 flowcontrol receive on
 flowcontrol transmit off
 storm-control broadcast rate 100 Mbps
 spanning-tree bpduguard enable
 spanning-tree port type edge
!
{%         for i in [25, 26] %}
interface ethernet1/1/{{ i }}
 no shutdown
 switchport access vlan 999
 flowcontrol receive on
 storm-control broadcast rate 100 Mbps
 spanning-tree bpduguard enable
 spanning-tree port type edge
!
{%         endfor %}
interface ethernet1/1/27
 description lag27-->lag1_Firewall
 no shutdown
 channel-group 27 mode active
 no switchport
 flowcontrol receive on
 storm-control broadcast rate 100 Mbps
!
interface ethernet1/1/28
 no shutdown
 switchport access vlan 999
 flowcontrol receive on
 storm-control broadcast rate 100 Mbps
 spanning-tree bpduguard enable
 spanning-tree port type edge
!
{%         for i in [29, 30] %}
interface ethernet1/1/{{ i }}
 no shutdown
 switchport access vlan 999
 flowcontrol receive on
 storm-control broadcast rate 100 Mbps
 spanning-tree bpduguard enable
 spanning-tree port type edge
!
{%         endfor %}
{%     endif %}
{% elif ansible_network_os == 'dellemc.os9.os9' %}
{% elif ansible_network_os == 'dellemc.os6.os6' %}
{% elif ansible_network_os == 'community.network.aruba' %}
{% endif %}
{% if privexec_only %}
{%     if configuration_session %}
{%         include 'UTILITY_show_session-config_diffs.j2' %}
{%         include 'UTILITY_commit.j2' %}
{%     endif %}
{%     include 'UTILITY_end.j2' %}
{% endif %}
